/***************************************************************************
 *           DIA_CANVAS_VARIUS_FORMA.h
 *
 *  25 may 2007 15:09:17 -0500 
 * VARIUS_FORMA
 * Exell enrique Franklin Jiménez. 
 * Copyright  2006  
 * 
 ****************************************************************************/

#ifndef _DIA_CANVAS_VARIUS_FORMA_H
#define _DIA_CANVAS_VARIUS_FORMA_H

#ifdef __cplusplus
extern "C"
{
#endif
	
#include <diacanvas/dia-canvas-element.h>

G_BEGIN_DECLS

#define DIA_TYPE_CANVAS_VARIUS_FORMA    (dia_canvas_varius_forma_get_type ())
#define DIA_CANVAS_VARIUS_FORMA(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), DIA_TYPE_CANVAS_VARIUS_FORMA, DiaCanvasVariusForma))
#define DIA_CANVAS_VARIUS_FORMA_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), DIA_TYPE_CANVAS_VARIUS_FORMA, DiaCanvasVariusFormaClass))
#define DIA_IS_CANVAS_VARIUS_FORMA(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), DIA_TYPE_CANVAS_VARIUS_FORMA))
#define DIA_IS_CANVAS_VARIUS_FORMA_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), DIA_TYPE_CANVAS_VARIUS_FORMA))
#define DIA_CANVAS_VARIUS_FORMA_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), DIA_TYPE_CANVAS_VARIUS_FORMA, DiacanvasVariusFormaClass))

typedef struct _DiaCanvasVariusForma DiaCanvasVariusForma;
typedef struct _DiaCanvasVariusFormaClass DiaCanvasVariusFormaClass;

struct _DiaCanvasVariusForma
{
	DiaCanvasElement item;

        DiaColor color;
	DiaColor plenus_color;      /*color para el cuadro de texto*/
	double perimetros_amplus;
		
	DiaShape* perimetros;	 /*Forma de bezier*/ 	
	gboolean closed;	 /*shape pad closed¿?*/
	DiaPoint* points;	 /*Puntos de la forma*/
        int n_p;		 /*número de puntos*/
	gboolean mutilare;	 /*cuts.. ¿?¿? clipping*/
	DiaFillStyle  plenus;	 /*plenus type*/

};


struct _DiaCanvasVariusFormaClass
{
	DiaCanvasElementClass parent_class;
};

GType dia_canvas_varius_forma_get_type (void);

	
G_END_DECLS



#ifdef __cplusplus
}
#endif

#endif /* _DIA-CANVAS-VARIUS_FORMA_H */
