/***************************************************************************
 *            dia-canvas- punctum.h
 *
 *  Wed Sep 27 08:41:31 2006
 * PUNCTUM
 * Exell enrique Franklin Jiménez. 
 * Based upon dia-canvas-circle 
 * DiaCanvasPunctum
 * Copyright  2006  
 * 
 ****************************************************************************/

#ifndef _DIA_CANVAS_PUNCTUM_H
#define _DIA_CANVAS_PUNCTUM_H

#ifdef __cplusplus
extern "C"
{
#endif
	
#include <diacanvas/dia-canvas-element.h>

G_BEGIN_DECLS

#define DIA_TYPE_CANVAS_PUNCTUM        (dia_canvas_punctum_get_type ())
#define DIA_CANVAS_PUNCTUM(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), DIA_TYPE_CANVAS_PUNCTUM, DiaCanvasPunctum))
#define DIA_CANVAS_PUNCTUM_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), DIA_TYPE_CANVAS_PUNCTUM, DiaCanvasPunctumClass))
#define DIA_IS_CANVAS_PUNCTUM(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), DIA_TYPE_CANVAS_PUNCTUM))
#define DIA_IS_CANVAS_PUNCTUM_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), DIA_TYPE_CANVAS_PUNCTUM))
#define DIA_CANVAS_PUNCTUM_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), DIA_TYPE_CANVAS_PUNCTUM, DiaCanvasPunctumClass))

typedef struct _DiaCanvasPunctum DiaCanvasPunctum;
typedef struct _DiaCanvasPunctumClass DiaCanvasPunctumClass;

struct _DiaCanvasPunctum
{
	DiaCanvasElement item;
	double radius;
	double area;

        DiaColor color;
	DiaColor plenus_color;      /*color para el cuadro de texto*/
	double perimetros_amplus;
	
	DiaShape* perimetros;

};


struct _DiaCanvasPunctumClass
{
	DiaCanvasElementClass parent_class;
};

GType dia_canvas_punctum_get_type (void);

	
G_END_DECLS



#ifdef __cplusplus
}
#endif

#endif /* _DIA-CANVAS-PUNCTUM_H */
