/***************************************************************************
 *            dia-textus-punctum.h
 *
 *  Wed Sep 27 17:26:41 2006
 *  Copyright  2006  User
 *  Email
 * Es basado en dia-textus-cuadrus
 ****************************************************************************/

#ifndef _DIA_TEXTUS_PUNCTUM_H
#define _DIA_TEXTUS_PUNCTUM_H

#include <diacanvas/dia-canvas-element.h>

#ifdef __cplusplus
extern "C"
{
#endif

G_BEGIN_DECLS
/*Son las deficniciones obligatorias del objeto encargado de hacer el cuadro*/
#define DIA_TYPE_TEXTUS_PUNCTUM		(dia_textus_punctum_get_type())
#define DIA_TEXTUS_PUNCTUM(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), DIA_TYPE_TEXTUS_PUNCTUM, DiaTextusPunctum))
#define DIA_TEXTUS_PUNCTUM_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), DIA_TYPE_TEXTUS_PUNCTUM, DiaTextusPunctumClass))
#define DIA_IS_TEXTUS_PUNCTUM(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), DIA_TYPE_TEXTUS_PUNCTUM))
#define DIA_IS_TEXTUS_PUNCTUM_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), DIA_TYPE_TEXTUS_PUNCTUM))
#define DIA_TEXTUS_PUNCTUM_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), DIA_TYPE_TEXTUS_PUNCTUM, DiaTextusPunctumClass))


typedef struct _DiaTextusPunctum DiaTextusPunctum;
typedef struct _DiaTextusPunctumClass DiaTextusPunctumClass;


struct _DiaTextusPunctum
{   /*TIENE QUÉ SER EL PRIMERO*/
	DiaCanvasElement item; /*Sirve para imagen, para cuadrado, y otros elementos*/
	PangoFontDescription* typus; /*La fuente del elemento*/
	DiaCanvasItem* centrum;  /*el componente central*/
	DiaCanvasItem* textus;
        char* tex_tus;			/*el cuadro de texto de usuario*/
};


struct _DiaTextusPunctumClass
{
	DiaCanvasElementClass parent_class;
};

GType dia_textus_punctum_get_type(void);


G_END_DECLS

	
#ifdef __cplusplus
}
#endif

#endif /* _DIA_TEXTUS_PUNCTUM_H */
